# if git_hash is defined:
#   if git_pre is defined:
#     use a pre-release git snapshot from github
#   else
#     use a post-release git snapshot from github
# else
#   use a release tarball
%global git_user pwr
%global git_project Solaar
#%%global git_pre
%global git_date 20150528
%global git_hash cf27328

Name:           solaar
Version:        0.9.2
Release:        %{?git_pre:0.}4%{?git_hash:.%{git_date}git%{git_hash}}%{?dist}.8
Summary:        Device manager for Logitech Unifying Receiver
URL:            http://pwr.github.io/Solaar/

Source0:        https://github.com/%{git_user}/%{git_project}/%{!?git_hash:archive/%{version}}%{?git_hash:tarball/%{git_hash}/%{git_project}-%{git_hash}}.tar.gz

BuildArch:      noarch
License:        GPLv2

BuildRequires:  python2-devel desktop-file-utils

Requires:       python-pyudev
Requires:       unifying-receiver-udev
Requires:       python-gobject

%description
Solaar is a device manager for Logitech's Unifying Receiver
peripherals. It is able to pair/unpair devices to the receiver, and
for most devices read battery status.

It comes in two flavors, command-line and GUI. Both are able to list
the devices paired to a Unifying Receiver, show detailed info for each
device, and also pair/unpair supported devices with the receiver.

%package doc
Summary:        Documentation for Solaar
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description doc
This package provides documentation for Solaar, a device manager for
Logitech's Unifying Receiver peripherals.

%prep
%setup -q -n %{?git_hash:%{git_user}-}%{git_project}-%{?git_hash}%{!?git_hash:%{version}}


%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --prefix=%{_prefix} --root %{buildroot}

# Mark some Python files executable to make rpmlint happy. Note that there
# is no technical reason that these need to be executable, as they are not
# actually intended to be invoked directly.
if [ -e %{buildroot}%{python_sitelib}/solaar/cli.py ]
then
   chmod +x %{buildroot}%{python_sitelib}/solaar/cli.py
fi   
if [ -e %{buildroot}%{python_sitelib}/solaar/async.py ]
then
   chmod +x %{buildroot}%{python_sitelib}/solaar/async.py
fi   
chmod +x %{buildroot}%{python_sitelib}/solaar/gtk.py

desktop-file-validate %{buildroot}/%{_datadir}/applications/solaar.desktop

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%license COPYING
%doc COPYRIGHT share/README
%{_bindir}/solaar
%{_bindir}/solaar-cli
%{python_sitelib}/hidapi
%{python_sitelib}/logitech_receiver
%{python_sitelib}/solaar
%{python_sitelib}/solaar-%{version}-py*.egg-info
%{_datadir}/solaar/
%{_datadir}/applications/solaar.desktop
%{_datadir}/icons/hicolor/scalable/apps/solaar.svg
%config(noreplace) %{_sysconfdir}/xdg/autostart/solaar.desktop

%files doc
%doc docs

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.2-4.20150528gitcf27328.8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Sep 16 2017 Richard Fearn <richardfearn@gmail.com> - 0.9.2-4.20150528gitcf27328.7
- Remove unnecessary Group: tags

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.2-4.20150528gitcf27328.6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.2-4.20150528gitcf27328.5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Aug 06 2016 Richard Fearn <richardfearn@gmail.com> - 0.9.2-4.20150528gitcf27328.4
- Add missing dependency on python-gobject (bug #1355869)

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-4.20150528gitcf27328.3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.2-4.20150528gitcf27328.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-4.20150528gitcf27328.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu May 28 2015 Eric Smith <brouhaha@fedoraproject.org> 0.9.2-4.20150528gitcf27328
- Update to upstream git snapshot

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Nov 24 2013 Eric Smith <brouhaha@fedoraproject.org> 0.9.2-2
- Changed files line for .egg-info to be less dependent on Python version,
  to build for EL6 which uses Python 2.6.

* Thu Jul 25 2013 Eric Smith <brouhaha@fedoraproject.org> 0.9.2-1
- Updated to latest upstream.

* Fri Jul 19 2013 Eric Smith <eric@brouhaha.com> 0.9.1-2
- Added scriptlets to update icon caches.
- Added BuildRequires for desktop-file-utils.

* Sun Jul 14 2013 Eric Smith <eric@brouhaha.com> 0.9.1-1
- Updated to latest upstream.
- Consistently use "solaar" rather than name macro.
- Removed extraneous dependency on pygtk2.
- Moved documentation into subpackage.

* Sun Apr 28 2013 Eric Smith <eric@brouhaha.com> 0.8.7-1
- initial version
